import { Dimensions, Platform } from "react-native";

function isIphoneX() {
  const dimen = Dimensions.get('window');
  console.log("DDDDDDDDDDDDDDDDDDD")
  console.log("dimen : ", dimen)
  return (
      Platform.OS === 'ios' &&
      !Platform.isPad &&
      !Platform.isTVOS &&
      ((dimen.height === 812 || dimen.width === 812) || (dimen.height === 896 || dimen.width === 896) ||(dimen.height === 844 || dimen.width === 844))
  );
}


export default {
  colors :{
    headerColor : "#ffffff",
    //makeItemColor : "#fffcf5",
    makeItemColor : "#ffffff",
    borderColor : "#ffb468",
    buttonColor : "#d64409",
    startButtonColor : "#d64409",
    titleColor : "#d64409",
    newButtonColor : "#26675e",
    statusBarColor:"#ffb468",
    primary: '#d64409',
    secondary: '#26675e',
    extraText: '#707070',
    defaultText: '#292929',
  },
  images : {
    logo : require("src/images/logo.png"),
    logo2 : require("src/images/logo2.png"),
    popIcon : require("src/images/popicon.png"),
    mainScreen : require("src/images/mainBackground.png"),
    meIcon : require("src/images/me.png"),
    selectedMeIcon : require("src/images/s_me.png"),
    addIcon : require("src/images/add.png"),
    listenIcon : require("src/images/listen.png"),
    selectedListenIcon : require("src/images/s_listen.png"),
    homeIcon : require("src/images/home.png"),
    selectedHomeIcon : require("src/images/s_home.png"),
    createIcon : require("src/images/create.png"),
    selectedCreateIcon : require("src/images/s_create.png"),
    delIcon : require("src/images/delete.png"),
    newIcon : require("src/images/addNew.png"),
    locationAddIcon : require("src/images/addRed.png"),
    subjectDrawer : require("src/images/subjectDrawer.png"),
    searchIcon : require("src/images/search.png"),
    addFileIcon : require("src/images/addFile.png"),
    addPictureIcon : require("src/images/addPicture.png"),
    toGoIcon : require("src/images/toGo.png"),
    mainIcon : require("src/images/mainIcon.png"),
    toGoBackground : require("src/images/background.png"),
    before10s : require("src/images/before10.png"),
    after10s : require("src/images/after10.png"),
    play : require("src/images/play.png"),
    pause : require("src/images/pause.png"),
    setting : require("src/images/setting.png"),
    playGrey : require("src/images/play_grey.png"),
    pencil : require("src/images/pencil.png"),
    smile : require("src/images/smile.png"),
    dotGreyMarker: require("src/images/0_grey_marker.png"),
    dotRedMarker: require("src/images/0_red_marker.png"),
    marker : require("src/images/marker.png"),
    markers : [
      require("src/images/marker_1.png"),
      require("src/images/marker_2.png"),
      require("src/images/marker_3.png"),
      require("src/images/marker_4.png"),
      require("src/images/marker_5.png"),
      require("src/images/marker_6.png"),
      require("src/images/marker_7.png"),
      require("src/images/marker_8.png"),
      require("src/images/marker_9.png"),
      require("src/images/marker_10.png"),
      require("src/images/marker_11.png"),
      require("src/images/marker_12.png"),
      require("src/images/marker_13.png"),
      require("src/images/marker_14.png"),
      require("src/images/marker_15.png"),
    ],
    markers_g : [
      require("src/images/marker_g_1.png"),
      require("src/images/marker_g_2.png"),
      require("src/images/marker_g_3.png"),
      require("src/images/marker_g_4.png"),
      require("src/images/marker_g_5.png"),
      require("src/images/marker_g_6.png"),
      require("src/images/marker_g_7.png"),
      require("src/images/marker_g_8.png"),
      require("src/images/marker_g_9.png"),
      require("src/images/marker_g_10.png"),
      require("src/images/marker_g_11.png"),
      require("src/images/marker_g_12.png"),
      require("src/images/marker_g_13.png"),
      require("src/images/marker_g_14.png"),
      require("src/images/marker_g_15.png"),
    ],
    markers_r : [
      require("src/images/marker_r_1.png"),
      require("src/images/marker_r_2.png"),
      require("src/images/marker_r_3.png"),
      require("src/images/marker_r_4.png"),
      require("src/images/marker_r_5.png"),
      require("src/images/marker_r_6.png"),
      require("src/images/marker_r_7.png"),
      require("src/images/marker_r_8.png"),
      require("src/images/marker_r_9.png"),
      require("src/images/marker_r_10.png"),
      require("src/images/marker_r_11.png"),
      require("src/images/marker_r_12.png"),
      require("src/images/marker_r_13.png"),
      require("src/images/marker_r_14.png"),
      require("src/images/marker_r_15.png"),
    ],
    pathmarker1 : require("src/images/ic.png"),
    pathmarker2 : require("src/images/ic2.png"),
    like : require("src/images/like.png"),
    path : require("src/images/path.png"),
    speechBubble : require("src/images/speechBubble.png"),
    errorIcon : require("src/images/invalid_name.png"),
    logoText : require("src/images/logo_text.png"),
    filter : require("src/images/filter.png"),
    view : require("src/images/view_g.png"),
    docent : require("src/images/docent_g.png"),
    heart : require("src/images/heart_gr.png"),
    heartOn : require("src/images/heart_s.png"),
    heartOff : require("src/images/heart_e.png"),
    avatarOn : require("src/images/s_me.png"),
    avatarOff : require("src/images/me.png"),
    loginLogoK: require('src/images/login_k_logo.png'),
    loginLogoN: require('src/images/login_n_logo.png'),
    loginLogoF: require('src/images/login_f_logo.png'),
    docentImage : require('src/images/mic_b.png'),
    greyDocentogo : require('src/images/docentogo_icon_g.png'),
    pause : require('src/images/pause.png'),
    deselect : require('src/images/deselect.png'),
    notiIcon : require('src/images/icon.png'),
    boldHeartOff : require('src/images/i_heart.png'),
    boldHeartOn : require('src/images/i_heart2.png'),
    guideHeartGrey : require('src/images/i_heart_grey.png'),
    boldListen : require('src/images/view_r.png'),
    share : require('src/images/share.png'),
    dotline : require("src/images/dotline.png"),
    play_setting : require("src/images/play_setting.png"),
    warning : require("src/images/Warning.png"),
    docent_home : require("src/images/docent_home.png"),
    heart_home : require("src/images/heart_home.png"),
    view_home : require("src/images/view_home.png"),
  },
  deviceInfo: {
    oneThirdWidth: Dimensions.get("window").width / 3,
    width: Dimensions.get("window").width,
    height: Dimensions.get("window").height,
  },
  kakaoRestAPI : {
    //appKey : "0cdf30e2ab80952ba1994ecc8db0eec6",
    appKey : "3a088567604a39f5d2eb351cc47db8bd",
    searchURL : "https://dapi.kakao.com/v2/local/search/keyword.json",
  },
  defaultFontFamily : "NotoSansKR-Regular",
  defaultBoldFontFamily : "NotoSansKR-Bold",
  altFontFamily : Platform.OS === 'ios' ? "NotoSansKR-Regular" : "monospace",
  marginBottom : isIphoneX() ? 34 : 0,

  url: {
    // apiSvr: 'http://dev.lazybird.kr:8900/api',
    apiSvr: 'https://deploy.docentogo.kr/api',
    webPage : "https://docentogo.kr"
  },
  sessionInfo: {
    session_id: '',
  },
  member: {
    member_id: '',
    nickname: '',
    introduce: '',
    setting: {
        bus_board_notification: true,
        my_content_notification: true,
        roll_dice_notification: true,
    },
  },
  access_info: null,
  size: {
    _1440px: 360,
    _1400px: 350,
    _1200px: 300,
    _1080px: 270,
    _1000px: 250,
    _840px: 210,
    _800px: 200,
    _680px: 170,
    _648px: 162,
    _616px: 151.5,
    _600px: 150,
    _580px: 145,
    _560px: 140,
    _552px: 138,
    _520px: 130,
    _440px: 110,
    _328px: 82,
    _280px: 70,
    _240px: 60,
    _220px: 55,
    _212px: 53,
    _208px: 52,
    _200px: 50,
    _184px: 46,
    _160px: 40,
    _140px: 48,
    _136px: 34,
    _128px: 32,
    _120px: 30,
    _112px: 28,
    _100px: 25,
    _96px: 24,
    _84px: 21,
    _80px: 20,
    _70px: 17.5,
    _64px: 16,
    _60px: 15,
    _56px: 14,
    _50px: 12.5,
    _48px: 10,
    _44px: 11,
    _42px: 10,
    _40px: 9,
    _38px: 8,
    _36px: 9,
    _32px: 8,
    // _28px: 6,
    _16px: 4,
    _8px: 2,
    _4px: 1,
    _2px: 0.5,
},
fontSize: {
    _172px: 43,
    _104px: 26,
    _84px: 21,
    _76px: 19,
    _68px: 17,
    _60px: 15,
    _56px: 14,
    _52px: 13,
    _48px: 12,
    _44px: 11,
    _40px: 10,
    _36px: 9,
    _28px: 8,
},
version: {
  ios: "",
  android: "",
},
googlePlayStoreUrl : "market://details?id=com.lazybird.docentogo",


useMobileData: false,
useBeep : true,
useAutoPlay : true,
}